Subject: bug#15696: 24.3; vc-git-annotate-command -- ambiguous short commit hashes cause failures

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 06 Dec 2020 16:17:52 +0100

"Phil Sainty" <[email-masked]> writes:

> `vc-git-annotate-command' looks like this:
>
> (defun vc-git-annotate-command (file buf &optional rev)
>   (let ((name (file-relative-name file)))
>     (vc-git-command buf 'async nil "blame" "--date=iso" "-C" "-C" rev "--"
> name)))
>
> By default, git blame produces short commit hashes. You need to pass
> the -l argument to make it produce full hashes.
>
> This is a problem if the short hash is ambiguous, as none of the
> vc-annotate commands for interacting with that commit work.
>
> Example errors for ambiguous commit hash 7b10edf8:

(This bug report unfortunately got no response at the time.)

The command in question now produces an 11-char short hash, which I
think is pretty rarely ambiguous, in my experience, so I don't think
there's anything more to fix here, and I'm closing this bug report.

If there's still a problem here, please respond to the debbugs address
and we'll reopen.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no